IEEE80211_GET_TX_LED(9)

NAME
ieee80211_get_tx_led_name - get name of TX LED

SYNOPSIS

char * ieee80211_get_tx_led_name(struct ieee80211_hw * hw);

ARGUMENTS

hw
    the hardware to get the LED trigger name for

DESCRIPTION

mac80211 creates a transmit LED trigger for each wireless hardware that can be used to drive LEDs if your driver registers a LED device. This function returns the name (or NULL if not configured for LEDs) of the trigger so you can automatically link the LED device.

RETURN

The name of the LED trigger. NULL if not configured for LEDs.

AUTHOR

Johannes Berg <johannes@sipsolutions.net>
    Author.

COPYRIGHT